National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

Search Results (Refine Search)

Search Parameters:
  • Contains Software Flaws (CVE)
  • CPE Product Version: cpe:/o:apple:mac_os_x:10.5.6
There are 1,521 matching records.
Displaying matches 81 through 100.
Vuln ID Summary CVSS Severity
CVE-2018-4287

Multiple memory corruption issues were addressed with improved memory handling. This issue affected versions prior to macOS High Sierra 10.13.6.

Published: April 03, 2019; 02:29:05 PM -04:00
V3: 9.8 CRITICAL
V2: 10.0 HIGH
CVE-2018-4286

Multiple memory corruption issues were addressed with improved memory handling. This issue affected versions prior to macOS High Sierra 10.13.6.

Published: April 03, 2019; 02:29:05 PM -04:00
V3: 9.8 CRITICAL
V2: 10.0 HIGH
CVE-2018-4285

A type confusion issue was addressed with improved memory handling. This issue affected versions prior to macOS High Sierra 10.13.6.

Published: April 03, 2019; 02:29:05 PM -04:00
V3: 7.8 HIGH
V2: 9.3 HIGH
CVE-2018-4283

An out-of-bounds read issue existed that led to the disclosure of kernel memory. This was addressed with improved input validation. This issue affected versions prior to macOS High Sierra 10.13.6.

Published: April 03, 2019; 02:29:05 PM -04:00
V3: 5.5 MEDIUM
V2: 4.9 MEDIUM
CVE-2018-4280

A memory corruption issue was addressed with improved memory handling. This issue affected versions prior to iOS 11.4.1, macOS High Sierra 10.13.6, tvOS 11.4.1, watchOS 4.3.2.

Published: April 03, 2019; 02:29:05 PM -04:00
V3: 7.8 HIGH
V2: 6.8 MEDIUM
CVE-2018-4276

A null pointer dereference was addressed with improved validation. This issue affected versions prior to macOS High Sierra 10.13.6.

Published: April 03, 2019; 02:29:05 PM -04:00
V3: 7.5 HIGH
V2: 5.0 MEDIUM
CVE-2018-4268

A memory corruption issue was addressed with improved memory handling. This issue affected versions prior to macOS High Sierra 10.13.6.

Published: April 03, 2019; 02:29:04 PM -04:00
V3: 9.8 CRITICAL
V2: 10.0 HIGH
CVE-2018-4259

Multiple memory corruption issues were addressed with improved memory handling. This issue affected versions prior to macOS High Sierra 10.13.6.

Published: April 03, 2019; 02:29:03 PM -04:00
V3: 9.8 CRITICAL
V2: 10.0 HIGH
CVE-2018-4248

An out-of-bounds read was addressed with improved input validation. This issue affected versions prior to iOS 11.4.1, macOS High Sierra 10.13.6, tvOS 11.4.1, watchOS 4.3.2.

Published: April 03, 2019; 02:29:03 PM -04:00
V3: 7.5 HIGH
V2: 5.0 MEDIUM
CVE-2018-4203

An out-of-bounds read was addressed with improved bounds checking. This issue affected versions prior to iOS 12, macOS Mojave 10.14, tvOS 12, watchOS 5.

Published: April 03, 2019; 02:29:03 PM -04:00
V3: 7.5 HIGH
V2: 5.0 MEDIUM
CVE-2018-4178

A permissions issue existed in which execute permission was incorrectly granted. This issue was addressed with improved permission validation. This issue affected versions prior to macOS High Sierra 10.13.4.

Published: April 03, 2019; 02:29:02 PM -04:00
V3: 5.5 MEDIUM
V2: 2.1 LOW
CVE-2018-4153

An injection issue was addressed with improved validation. This issue affected versions prior to macOS Mojave 10.14.

Published: April 03, 2019; 02:29:02 PM -04:00
V3: 5.9 MEDIUM
V2: 4.3 MEDIUM
CVE-2018-4126

A memory corruption issue was addressed with improved memory handling. This issue affected versions prior to iOS 12, macOS Mojave 10.14, tvOS 12, watchOS 5, iTunes 12.9 for Windows, iCloud for Windows 7.7.

Published: April 03, 2019; 02:29:02 PM -04:00
V3: 7.8 HIGH
V2: 9.3 HIGH
CVE-2018-20506

SQLite before 3.25.3, when the FTS3 extension is enabled, encounters an integer overflow (and resultant buffer overflow) for FTS3 queries in a "merge" operation that occurs after crafted changes to FTS3 shadow tables, allowing remote attackers to execute arbitrary code by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use cases). This is a different vulnerability than CVE-2018-20346.

Published: April 03, 2019; 02:29:01 PM -04:00
V3: 8.1 HIGH
V2: 6.8 MEDIUM
CVE-2018-20505

SQLite 3.25.2, when queries are run on a table with a malformed PRIMARY KEY, allows remote attackers to cause a denial of service (application crash) by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use cases).

Published: April 03, 2019; 02:29:00 PM -04:00
V3: 7.5 HIGH
V2: 5.0 MEDIUM
CVE-2017-7151

A race condition was addressed with additional validation. This issue affected versions prior to iOS 11.2, macOS High Sierra 10.13.2, tvOS 11.2, watchOS 4.2, iTunes 12.7.2 for Windows, macOS High Sierra 10.13.4.

Published: April 03, 2019; 02:29:00 PM -04:00
V3: 7.0 HIGH
V2: 5.1 MEDIUM
CVE-2017-13911

A configuration issue was addressed with additional restrictions. This issue affected versions prior to macOS X El Capitan 10.11.6 Security Update 2018-002, macOS Sierra 10.12.6 Security Update 2018-002, macOS High Sierra 10.13.2.

Published: April 03, 2019; 02:29:00 PM -04:00
V3: 7.8 HIGH
V2: 9.3 HIGH
CVE-2019-6231

An out-of-bounds read was addressed with improved bounds checking. This issue is fixed in iOS 12.1.3, macOS Mojave 10.14.3, tvOS 12.1.2, watchOS 5.1.3. A malicious application may be able to read restricted memory.

Published: March 05, 2019; 11:29:02 AM -05:00
V3: 5.5 MEDIUM
V2: 4.3 MEDIUM
CVE-2019-6230

A memory initialization issue was addressed with improved memory handling. This issue is fixed in iOS 12.1.3,macOS Mojave 10.14.3,tvOS 12.1.2,watchOS 5.1.3. A malicious application may be able to break out of its sandbox.

Published: March 05, 2019; 11:29:02 AM -05:00
V3: 8.6 HIGH
V2: 6.8 MEDIUM
CVE-2019-6225

A memory corruption issue was addressed with improved validation. This issue is fixed in iOS 12.1.3, macOS Mojave 10.14.3, tvOS 12.1.2. A malicious application may be able to elevate privileges.

Published: March 05, 2019; 11:29:02 AM -05:00
V3: 7.8 HIGH
V2: 6.8 MEDIUM